![logo-thumbnail](hugo-mx-gateway-thumbnail.png)

![Apache License](https://img.shields.io/github/license/rchakode/kube-opex-analytics.svg?label=License&style=for-the-badge)
[![GitHub Actions Status](<https://img.shields.io/github/workflow/status/rchakode/hugo-mx-gateway/Build?logo=GitHub&style=for-the-badge>)](https://github.com/rchakode/kube-opex-analytics/actions)
![Docker pulls](https://raster.shields.io/docker/pulls/rchakode/hugo-mx-gateway.png?label=Docker%20Pulls&style=for-the-badge)


---

- [Overview](#overview)
- [Getting Started](#getting-started)
- [License & Copyrights](#license--copyrights)
- [Support & Contributions](#support--contributions)

# Overview
Did you ever experience building a static website (e.g. using [Hugo](https://gohugo.io/)) then got stuck when coming the time to add a contact/demo request form?

You're at the right place.

`hugo-mx-gateway` provides a RESTful API that adds the dynamicity required to handle contact/demo requests for your static websites. It's a simple, yet a powerful tool built for this only-designated purpose.

![](hugo-mx-gateway-architecture-overview.png)

# Getting Started
The following resources will enable you to deploy and get started with hugo-mx-gateway.

* [Deployment on Kubenetes](./docs/deployment-on-kubernetes.md)
* [Deployment on Google Computing Engine](./docs/deployment-on-kubernetes.md)
* [Deployment on Docker](./docs/deployment-on-docker.md)
* [Deployment on Debian](./docs/deployment-on-debian.md)
* [Configuration Variables](./docs/configuration-variables.md)
* [Sample contact form for Hugo](./docs/sample-contact-form-for-hugo.md)
* [Design Fundamentals](./docs/design-fundamentals.md)

# License & Copyrights
This tool (code and documentation) is licensed under the terms of Apache 2.0 License. Read the [LICENSE](LICENSE) file for more details on the license terms.

The tool may inlcude third-party libraries provided with their owns licenses and copyrights, but always compatible with the Apache 2.0 License terms of use.

# Support & Contributions
We encourage feedback and do make our best to handle any troubles you may encounter when using this tool.

Here is the link to submit issues: https://github.com/rchakode/hugo-mx-gateway/issues.

New ideas are welcomed, please open an issue to submit your idea if you have any one.

Contributions are accepted subject that the code and documentation be released under the terms of Apache 2.0 License.

To contribute bug patches or new features, please use the Github Pull Request model.
