{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-22.05";
    futils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, futils } @ inputs:
    let
      inherit (nixpkgs) lib;
      inherit (lib) recursiveUpdate;
      inherit (futils.lib) eachDefaultSystem;

      nixpkgsImport = system:
        import nixpkgs {
          inherit system;
        };

      defaultSystemOutputs = eachDefaultSystem (system:
        let
          pkgs = nixpkgsImport system;
        in
        {
          devShells.default = pkgs.mkShell {
            buildInputs = with pkgs; [
              git
              go
            ];
          };
        });
    in
    defaultSystemOutputs;
}
